Packages - Bug #1787

Abiword flickers
2018-05-05 08:34 AM - nona

Status: fixed % Done: 0%
Priority: bug

Assignee:

Category:

Description

¢ Way to reproduce
$ pacman -Syu abiword
$ abiword

Maximize the window (no need to open document)

¢ Present behaviour
The top part of the window, including the menus and part of the "blank page" flicker on my screen

e Desired behaviour
No flicker

e Additional information
$ uname -r
4.14.36-gnu-1-lts

$ abiword --version
3.0.2

$ gtk-launch --version
3.22.30

History

#1 - 2018-06-28 11:30 AM - bill-auger

- Status changed from open to fixed

fixed by applying a patch from debian
https://sources.debian.org/patches/abiword/3.0.2-6/
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=851052

note from the debian bug ticket:
Note that this doesn't work with Wayland

a version of this patch is attached to the upstream bug ticked still un-merged
https://bugzilla.abisource.com/show_bug.cqi?id=13791

#2 - 2018-06-28 01:40 PM - bill-auger

archlinux32 just opened a ticket on archlinux with a similar patch

https://bugs.archlinux.org/task/59169
